[Overview][Constants][Types][Classes][Procedures and functions][Variables][Index] | Reference for unit 'SQLDB' (#fcl)

# TConnectionDef.ApplyParams

Apply parameters to an instance of TSQLConnection

## Declaration

Source position: sqldb.pp line 819

`procedure TConnectionDef.ApplyParams(`
`Params: TStrings;`
`AConnection: TSQLConnection`
`); virtual;`

## Arguments

`Params` |  | Parameters to apply in Name=Value form
`AConnection` |  | Connection instance to which to apply the parameters

## Description

ApplyParams must be overridden to apply any params specified in the Params argument to the TSQLConnection descendent in AConnection. It can be used to convert Name=Value pairs to properties of the actual connection instance.

When called, AConnection is guaranteed to be of the same type as returned by TConnectionDef.ConnectionClass. Params contains the contents of the TSQLConnection.Params property of the connector.

## See also

TSQLConnection.Params |  | Extra connection parameters